
Redmine - Defect #1944

Malformed link inside a code tag

2008-09-24 19:12 - Lobo tuerto

Status: Closed Start date: 2008-09-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Here is my conf:     * your database version (Postgresql 8.3)     * your Ruby version (ruby 1.8.6)     * your Rails version (Rails 2.1.1)    

* your Redmine version (devel) and the exact revision (r1902)

The problem is when you have something like this in a wiki page:

has n, [[Banco|:bancos]]

 It gives out something like:

http://localhost:3000/wiki/sif/<span_class="co">Banco<span>

 It should be:

http://localhost:3000/wiki/sif/Banco

 Which, shouldn't.

History

#1 - 2008-09-24 20:58 - Lobo tuerto

Woops, I meant: which, isn't.

#2 - 2010-06-26 22:17 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Cant reproduce

Works fine for me : 

has n, [[Banco|:bancos]]

produces 

<p>has n, <a href="/projects/myproject/wiki/Banco" class="wiki-page new">:bancos</a></p

...which is desired behaviour in my opinion.    

I close the issue, feel free to reopen, and sorry for the long silence.
